Subject: Re: [patches] 2.6.0-test9 - r8169 DMA API conversion

From: Brad House <[email-masked]>
Date: Wed, 19 Nov 2003 19:59:30 -0500

any reason why it's not against the v1.6 ?
the current driver is missing support for the
8110S chip (or at least it doesn't seem to work at all),
so you're cutting out all the chips on the mobos out there.
Haven't looked to see if it's just a PCI ID or other functionality,
but since the V1.2 is from realtek that's in the official
kernel, it would make sense to use the 1.6 patch....

I suppose I could do it, but it would take me much
more time simply because I'm not familiar with the
changes you're making.

-Brad

Francois Romieu wrote:
> Brad House <[email-masked]> :
> 
>>Just because I'm way to lazy to actually look, is this
>>against the original r8169, or my patch from the v1.6
>>driver ??
> 
> 
> It is against the original r8169. Once finished, it should look like:
> - first cut at dma api conversion (today)
> - remaining bits of dma api conversion (tomorrow)
> - rx_copybreak (tomorrow)
> - your changes (week-end)
> - big-endian fixes (week-end)
> 
> Each part divided in reasonably small patches to ease the test/review process.
> 
> --
> Ueimor
>